# Interface SunLightingJson

Object containing information for the sun lighting type. The position of the light is set to the sun's location.

See https://developers.arcgis.com/web-scene-specification/objects/sunLighting/.

interface SunLightingJson {
datetime?: number;
directShadows?: boolean;
displayUTCOffset?: number;
type: "sun";
}

#####
Index

### Properties

datetime?
directShadows?
displayUTCOffset?
type

##
Properties

### `Optional` datetime

datetime?: number

The current date and time of the simulated sun. It is a number representing the number of milliseconds since 1 January, 1970 UTC.

### `Optional` directShadows

directShadows?: boolean

Indicates whether to show shadows cast by the sun.

### `Optional` displayUTCOffset

displayUTCOffset?: number

UTC offset in decimal hours. Not to be applied to datetime for sun position, only to adjust display of datetime in UI. If displayUTCOffset is null, offset is calculated for the current location (approximate only).

### type

type

The type of lighting.